# Git snapshot 7f84c1e3975a349d288e7951a2667adeef5dab75

%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		opendht
Version:	1.2.1
Release:	%mkrel 2
Summary:	A C++11 Distributed Hash Table implementation
Group:		System/Libraries
License:	GPLv3+
Url:		https://github.com/savoirfairelinux/opendht
Source:		https://github.com/savoirfairelinux/opendht/archive/%{version}/%{name}-%{version}.tar.xz

#------------------------------------
BuildRequires:	cmake
BuildRequires:	libreadline-devel
BuildRequires:	libnettle-devel
BuildRequires:	libgnutls-devel
BuildRequires:	libpython3-devel
BuildRequires:	libmsgpack-devel
BuildRequires:	python3-cython
#------------------------------------

%description
A lightweight C++11 Distributed Hash Table implementation.

#----------------------------------------------------

%package -n	%{libname}
Summary:	A C++11 Distributed Hash Table implementation
Group:		System/Libraries

%description -n	%{libname}
A lightweight C++11 Distributed Hash Table implementation.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

%build
%cmake -DOPENDHT_PYTHON=OFF

%make_build

%install
rm -rf %buildroot
%make_install -C build

# we don't want these
find %{buildroot} -name '*.a' -delete

%files
%doc README.md
%{_bindir}/dhtchat
%{_bindir}/dhtnode
%{_bindir}/dhtscanner
%{_mandir}/man1/dhtnode.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Thu Jun 29 2017 adrianomorselli <adrianomorselli> 1.2.1-2uplos2017
- imported for uplos
